
#ifndef G4BrachyAnalysisManager_HH
#define G4BrachyAnalysisManager_HH 1

#include "globals.hh"
#include "g4std/vector"
#include "G4ThreeVector.hh"

class ITree;
class IHistogramFactory;
class IAnalysisFactory;
class ITupleFactory;
class ITuple;
class IPlotterFactory;
class IPlotter;
class IHistogram1D;
class IHistogram2D;
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class BrachyAnalysisManager
{
public:
  
  ~BrachyAnalysisManager();

  void book();
  
  void finish();

  static BrachyAnalysisManager* getInstance();
  
  void analyse(G4double,G4double,G4float);
  void  hist(G4double,G4double,G4float);
  void example(G4double);
  void plotting();
private:

  G4double xx,zz;
  G4float  en; 
  G4double  x,z;
  static BrachyAnalysisManager* instance;

private:
  BrachyAnalysisManager();

private:
  IHistogram2D *h2;
  IHistogram1D *h3;
  IAnalysisFactory  *aFact;
  ITree             *theTree;
  IHistogramFactory *histFact;
  ITupleFactory     *tupFact;
  IPlotterFactory    *pf;
  IPlotter           *plotter;

};

#endif




