
#ifndef PhantomHadronPhysics_hh
#define PhantomHadronPhysics_hh 1


#include "globals.hh"

#include "G4VPhysicsConstructor.hh"

#include "G4MultipleScattering.hh"
#include "G4hIonisation.hh"

#include "G4HadronElasticProcess.hh"

#include "G4ProtonInelasticProcess.hh"
#include "G4NeutronInelasticProcess.hh"

#include "G4LElastic.hh"

#include "G4NeutronHPElastic.hh"
#include "G4NeutronHPInelastic.hh"
#include "G4NeutronHPFission.hh"
#include "G4NeutronHPCapture.hh"

#include "G4PreCompoundModel.hh"

#include "G4NeutronIsotopeProduction.hh"
#include "G4ProtonIsotopeProduction.hh"

class PhantomHadronPhysics : public G4VPhysicsConstructor
{
public:
   PhantomHadronPhysics(const G4String& name="ion");
   virtual ~PhantomHadronPhysics();

   virtual void ConstructParticle();

   virtual void ConstructProcess();

protected:

   // Proton
   G4HadronElasticProcess theProtonElasticProcess;
   G4LElastic*            theProtonElasticModel;
   G4ProtonInelasticProcess theProtonInelasticProcess;
   G4PreCompoundModel*      thePreCompoundModel;
   G4MultipleScattering     theProtonMult;
   G4hIonisation            theProtonIonisation;
   G4ProtonIsotopeProduction* theProtonIPModel;
   // neutron
   G4HadronElasticProcess    theNeutronElasticProcess; 
   G4NeutronInelasticProcess  theNeutronInelasticProcess;
   G4HadronCaptureProcess    theNeutronCaptureProcess;
   G4HadronFissionProcess    theNeutronFissionProcess;
   G4NeutronHPElastic*        theNeutronElasticModel;
   G4NeutronHPInelastic*      theNeutronInelasticModel;
   G4NeutronHPFission*        theNeutronFissionModel;
   G4NeutronHPCapture*        theNeutronCaptureModel;
   G4NeutronIsotopeProduction* theNeutronIPModel;
};
#endif




