#include "PhantomSteppingAction.hh"

#include "G4SteppingManager.hh"
#include "G4Track.hh"
#include "G4Step.hh"



void PhantomSteppingAction::UserSteppingAction(const G4Step* theStep)
{
   G4Track* theTrack = theStep->GetTrack();
   G4double edep = theStep->GetTotalEnergyDeposit();
   if (edep != 0.0)
   {
      G4String ProcName(theStep->GetPostStepPoint()-> 
			GetProcessDefinedStep()->GetProcessName());

      G4cout << theTrack->GetDefinition()->GetParticleName() << " edep = "
	     << edep/MeV << " MeV in "
	     << theTrack->GetMaterial()->GetName() 
	     << "  Process: " << ProcName << '\n';
   }
  
   return;
}
