
#ifndef PhantomDetectorConstruction_hh
#define PhantomDetectorConstruction_hh 1

#include "G4VUserDetectorConstruction.hh"

class G4VPhysicalVolume;
class G4Material;
class G4VSensitiveDetector;
class G4VisAttributes;

class PhantomDetectorConstruction : public G4VUserDetectorConstruction
{
public:
   PhantomDetectorConstruction();
   virtual ~PhantomDetectorConstruction();
   
public:
   virtual G4VPhysicalVolume * Construct();

private:
   void ConstructMaterials();

private:
   G4Material * Vacuum;
   G4Material * Water;
   G4Material * PMMA;

   G4VPhysicalVolume * WorldPhysical;
   G4VPhysicalVolume * PhantomPhysical;
   G4VPhysicalVolume * ModeratorPhysical;

   G4VSensitiveDetector * PhantomEyeSD;

   G4VisAttributes * WorldVisAtt;
   G4VisAttributes * PhantomVisAtt;
   G4VisAttributes * ModeratorVisAtt;
};
#endif
