
#ifndef PhantomEMPhysics_hh
#define PhantimEMPhysics_hh 1

#include "G4VPhysicsConstructor.hh"

#include "globals.hh"

#include "G4PhotoElectricEffect.hh"
#include "G4ComptonScattering.hh"
#include "G4GammaConversion.hh"
#include "G4MultipleScattering.hh"
#include "G4eIonisation.hh"
#include "G4eBremsstrahlung.hh"
#include "G4eplusAnnihilation.hh"

class PhantomEMPhysics : public G4VPhysicsConstructor
{
public:
   PhantomEMPhysics(const G4String& name="standard EM");
   virtual ~PhantomEMPhysics();

   virtual void ConstructParticle();

   virtual void ConstructProcess();

protected:
   // Gamma physics
   G4PhotoElectricEffect thePhotoEffect;
   G4ComptonScattering theComptonEffect;
   G4GammaConversion thePairProduction;
   
   // Electron physics
   G4MultipleScattering theElectronMultipleScattering;
   G4eIonisation theElectronIonisation;
   G4eBremsstrahlung theElectronBremsStrahlung;
   
   //Positron physics
   G4MultipleScattering thePositronMultipleScattering;
   G4eIonisation thePositronIonisation; 
   G4eBremsstrahlung thePositronBremsStrahlung;  
   G4eplusAnnihilation theAnnihilation;
};
#endif
