
#ifndef PhantomPrimaryGeneratorAction_hh
#define PhantomPrimaryGeneratorAction_hh 1

#include "globals.hh"
#include "G4VUserPrimaryGeneratorAction.hh"

class G4ParticleGun;
class G4Event;
class G4ParticleDefinition;
class PhantomPrimaryGeneratorActionMessenger;

class PhantomPrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
public:
   PhantomPrimaryGeneratorAction();
   ~PhantomPrimaryGeneratorAction();

   virtual void GeneratePrimaries(G4Event*);

private:
   G4ParticleGun * particleGun;
   PhantomPrimaryGeneratorActionMessenger * gunMessenger;
   G4ParticleDefinition * proton;
   G4ParticleDefinition * neutron;
   G4double KineticEnergy;

public:
   inline void SetKineticEnergy(G4double val) { KineticEnergy = val; }
   inline G4double GetKineticEnergy() { return KineticEnergy; }

};
#endif

