

#include "PhantomEyeHit.hh"

#include "G4ios.hh"
#include "G4VVisManager.hh"
#include "G4Circle.hh"
#include "G4Colour.hh"
#include "G4VisAttributes.hh"

G4Allocator<PhantomEyeHit> PhantomEyeHitAllocator;


PhantomEyeHit::PhantomEyeHit(const PhantomEyeHit& right)
{
   edep = right.edep;
   localPos = right.localPos;
   globalPos = right.globalPos;
}


const PhantomEyeHit& PhantomEyeHit::operator=(const PhantomEyeHit& right)
{
   edep = right.edep;
   localPos = right.localPos;
   globalPos = right.globalPos;
   return *this;
}

G4bool PhantomEyeHit::operator==(const PhantomEyeHit& right) const
{
   return false;
}

void PhantomEyeHit::Draw()
{
   G4VVisManager* pVVisManager = G4VVisManager::GetConcreteInstance();
   if (pVVisManager)
   {
      G4Circle circle(globalPos);
      circle.SetScreenSize(0.1);
      circle.SetFillStyle(G4Circle::filled);
      G4Colour colour(1.0,1.0,0.0);
      G4VisAttributes attribs(colour);
      circle.SetVisAttributes(attribs);
      pVVisManager->Draw(circle);
   }
}

void PhantomEyeHit::Print()
{
   G4cout << "Energy deposition " << edep/MeV << " MeV at global point "
	  << globalPos << " (local position " << localPos << ")\n";
}
