
#include "PhantomGeneralPhysics.hh"

PhantomGeneralPhysics::PhantomGeneralPhysics(const G4String& name) :
   G4VPhysicsConstructor(name)
{
}

PhantomGeneralPhysics::~PhantomGeneralPhysics()
{
}

#include "G4ParticleDefinition.hh"
#include "G4ProcessManager.hh"
// Pseudo particles
#include "G4Geantino.hh"
#include "G4ChargedGeantino.hh"

void PhantomGeneralPhysics::ConstructParticle()
{
   // pseudo particles
   G4Geantino::GeantinoDefinition();
   G4ChargedGeantino::ChargedGeantinoDefinition();
   return;
}

void PhantomGeneralPhysics::ConstructProcess()
{
   // Decay Process
   theParticleIterator->reset();
   while ( (*theParticleIterator)() )
   {
      G4ParticleDefinition * particle = theParticleIterator->value();
      G4ProcessManager* pmanager = particle->GetProcessManager();
      if (theDecayProcess.IsApplicable(*particle))
      {
	 pmanager->AddProcess(&theDecayProcess);
//	 pmanager->SetProcessOrdering(&theDecayProcess, idxPostStep);
//	 pmanager->SetProcessOrdering(&theDecayProcess, idxAtRest);
      }
   }
   return;
}





